summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author LukenShiro <lukenshiro@ngi.it>2010-05-12 23:33:28 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:33:28 +0200
commitb999acbfd5b113b085252abfab281f89969a91b8 (patch)
tree2edb6635c818d6c2aeef8b0afaa847ca1ad6dadd
parent8b5073dcd04ce71ba30918d7ef8640b495aec360 (diff)
downloadslackbuilds-b999acbfd5b113b085252abfab281f89969a91b8.tar.gz
slackbuilds-b999acbfd5b113b085252abfab281f89969a91b8.tar.xz
system/ecofont-ttf: Added to 12.2 repository
-rw-r--r--system/ecofont-ttf/Ecofont_licence.pdfbin0 -> 67862 bytes
-rw-r--r--system/ecofont-ttf/README4
-rw-r--r--system/ecofont-ttf/doinst.sh11
-rw-r--r--system/ecofont-ttf/ecofont-ttf.SlackBuild63
-rw-r--r--system/ecofont-ttf/ecofont-ttf.info8
-rw-r--r--system/ecofont-ttf/slack-desc19
6 files changed, 105 insertions, 0 deletions
diff --git a/system/ecofont-ttf/Ecofont_licence.pdf b/system/ecofont-ttf/Ecofont_licence.pdf
new file mode 100644
index 0000000000..4ee2fd5258
--- /dev/null
+++ b/system/ecofont-ttf/Ecofont_licence.pdf
Binary files differ
diff --git a/system/ecofont-ttf/README b/system/ecofont-ttf/README
new file mode 100644
index 0000000000..b1b1f50e29
--- /dev/null
+++ b/system/ecofont-ttf/README
@@ -0,0 +1,4 @@
+This font is based on Bitstream Vera fonts. Its purpose is to
+use less ink than traditional full body fonts by omitting some small
+circles in each printed character while maintaining readability.
+Please read the license file in ecofont-ttf's documentation directory.
diff --git a/system/ecofont-ttf/doinst.sh b/system/ecofont-ttf/doinst.sh
new file mode 100644
index 0000000000..3884b2a547
--- /dev/null
+++ b/system/ecofont-ttf/doinst.sh
@@ -0,0 +1,11 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
+
diff --git a/system/ecofont-ttf/ecofont-ttf.SlackBuild b/system/ecofont-ttf/ecofont-ttf.SlackBuild
new file mode 100644
index 0000000000..9c643c3c18
--- /dev/null
+++ b/system/ecofont-ttf/ecofont-ttf.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for ecofont-ttf
+
+# Copyright 2009 LukenShiro <lukenshiro@ngi.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ecofont-ttf
+VERSION=2.02
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRC_PRGNAM=spranq_eco_sans_regular
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $TMP/$PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/$SRC_PRGNAM.zip
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Installing font
+mkdir -p $PKG/usr/share/fonts/TTF
+cp -a $SRC_PRGNAM.ttf $PKG/usr/share/fonts/TTF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a $CWD/Ecofont_licence.pdf $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/ecofont-ttf/ecofont-ttf.info b/system/ecofont-ttf/ecofont-ttf.info
new file mode 100644
index 0000000000..55bec11e3f
--- /dev/null
+++ b/system/ecofont-ttf/ecofont-ttf.info
@@ -0,0 +1,8 @@
+PRGNAM="ecofont-ttf"
+VERSION="2.02"
+HOMEPAGE="http://www.ecofont.eu/ecofont_en.html"
+DOWNLOAD="http://www.ecofont.eu/assets/files/spranq_eco_sans_regular.zip"
+MD5SUM="fed7e81c20d22bebb2cfd7c666a4fc99"
+MAINTAINER="LukenShiro"
+EMAIL="lukenshiro@ngi.it"
+APPROVED="rworkman"
diff --git a/system/ecofont-ttf/slack-desc b/system/ecofont-ttf/slack-desc
new file mode 100644
index 0000000000..7b6bae6c91
--- /dev/null
+++ b/system/ecofont-ttf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+ecofont-ttf: ecofont-ttf (Spranq Eco Truetype font)
+ecofont-ttf:
+ecofont-ttf: This font is based on Bitstream Vera fonts. Its purpose is to use
+ecofont-ttf: less ink than traditional full body fonts, omitting some small
+ecofont-ttf: circles in each printed character while maintaining readability.
+ecofont-ttf: It is developed by SPRANQ Creative Communications agency, NL,
+ecofont-ttf: based on a hunch of Colin Willems.
+ecofont-ttf:
+ecofont-ttf: Homepage: http://www.ecofont.eu/ecofont_en.html
+ecofont-ttf:
+ecofont-ttf: